Skip to main content
`Ctrl`+`K`

# PetscFVGetDualSpace

Returns the `PetscDualSpace` used to define the inner product on a `PetscFV`

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVGetDualSpace(PetscFV fvm, PetscDualSpace *sp)

Not Collective

## Input Parameter

- fvm - The `PetscFV` object

## Output Parameter

- sp - The `PetscDualSpace` object

## Developer Notes

There is overlap between the methods of `PetscFE` and `PetscFV`, they should probably share a common parent class

## See Also

`PetscFVSetDualSpace()`, `PetscFVCreateDualSpace()`, `PetscDualSpace`, `PetscFV`, `PetscFVCreate()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages